请 [注册] 或 [登录]  | 返回主站

量化交易吧 /  数理科学 帖子:3358735 新帖:2

你的主机中的软件中止了一个已建立的连接?

汇市风云榜发表于:9 月 14 日 20:57回复(1)

2008-04-30 15:30:00 - ERROR - Traceback (most recent call last):
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\urllib3\response.py", line 360, in _error_catcher
yield
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\urllib3\response.py", line 669, in read_chunked
chunk = self._handle_chunk(amt)
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\urllib3\response.py", line 624, in _handle_chunk
returned_chunk = self._fp._safe_read(self.chunk_left)
File "D:\JoinQuant-Desktop-Py3\Python\lib\http\client.py", line 612, in _safe_read
chunk = self.fp.read(min(amt, MAXAMOUNT))
File "D:\JoinQuant-Desktop-Py3\Python\lib\socket.py", line 586, in readinto
return self._sock.recv_into(b)
ConnectionAbortedError: [WinError 10053] 你的主机中的软件中止了一个已建立的连接。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\requests\models.py", line 750, in generate
for chunk in self.raw.stream(chunksize, decodecontent=True):
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\urllib3\response.py", line 490, in stream
for line in self.read_chunked(amt, decode_content=decode_content):
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\urllib3\response.py", line 694, in read_chunked
self._original_response.close()
File "D:\JoinQuant-Desktop-Py3\Python\lib\contextlib.py", line 99, in __exit

self.gen.throw(type, value, traceback)
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\urllib3\response.py", line 378, in _error_catcher
raise ProtocolError('Connection broken: %r' % e, e)
urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionAbortedError(10053, '你的主机中的软件中止了一个已建立的连接。', None, 10053, None)", ConnectionAbortedError(10053, '你的主机中的软件中止了一个已建立的连接。', None, 10053, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "jqboson\core\entry.py", line 369, in jqboson.core.entry.run
File "jqboson\core\engine.py", line 250, in jqboson.core.engine.Engine.start
File "jqboson\core\dispatcher.py", line 225, in jqboson.core.dispatcher.Dispatcher.start
File "jqboson\core\dispatcher.py", line 192, in jqboson.core.dispatcher.Dispatcher.runloop
File "jqboson\core\loop\loop.py", line 73, in jqboson.core.loop.loop.BacktestMessageLoop.run
File "jqboson\core\loop\loop.py", line 105, in jqboson.core.loop.loop.BacktestMessageLoop.handle_queue
File "jqboson\core\dispatcher.py", line 104, in jqboson.core.dispatcher.EventSourceScheduler.schedule.callback
File "jqboson\core\bus.py", line 47, in jqboson.core.bus.EventBus.emit
File "jqboson\core\strategy.py", line 296, in jqboson.core.strategy.Strategy._cb_wrapper._wrapper
File "jqboson\core\strategy.py", line 301, in jqboson.core.strategy.Strategy._cb_wrapper._wrapper
File "D:\JoinQuant-Desktop-Py3\USERDATA.joinquant-py3\code\63.py", line 272, in after_market_close
frequency='1m', count=n_m)
File "jqboson\api\data.py", line 144, in jqboson.api.data.get_price
File "jqdata\apis\data.py", line 135, in jqdata.apis.data.get_price
File "jqdata\apis\datalib.py", line 394, in jqdata.apis.datalib.get_price_minute_single
File "jqdata\apis\datalib.py", line 252, in jqdata.apis.datalib.fetch_minute_data
File "jqdata\apis\bar_port.py", line 61, in jqdata.apis.bar_port.get_minute_bar_by_count
File "jqdata\stores\jqbcolzclient_store.py", line 424, in jqdata.stores.jqbcolzclient_store.JqbcolzclientMinuteStore.get_bar_by_count
File "jqbcolz\carray_ext.pyx", line 1386, in jqbcolz.carray_ext.carray.__getitem

File "jqbcolz\carray_ext.pyx", line 821, in jqbcolz.carray_ext.chunks.__getitem

File "jqbcolzclient\api.py", line 116, in jqbcolzclient.api._jqbcolz_carray_ext_chunks_read_chunk
File "jqcommon\retrying.py", line 55, in jqcommon.retrying.retry.wrap.wrapped_f
File "jqcommon\retrying.py", line 231, in jqcommon.retrying.Retrying.call
File "jqcommon\retrying.py", line 275, in jqcommon.retrying.Attempt.get
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\six.py", line 693, in reraise
raise value
File "jqcommon\retrying.py", line 225, in jqcommon.retrying.Retrying.call
File "jqbcolzclient\utils.py", line 237, in jqbcolzclient.utils.inc_download
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\requests\sessions.py", line 546, in get
return self.request('GET', url, kwargs)
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\requests\sessions.py", line 533, in request
resp = self.send(prep,
send_kwargs)
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\requests\sessions.py", line 686, in send
r.content
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\requests\models.py", line 828, in content
self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
File "D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\requests\models.py", line 753, in generate
raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionAbortedError(10053, '你的主机中的软件中止了一个已建立的连接。', None, 10053, None)", ConnectionAbortedError(10053, '你的主机中的软件中止了一个已建立的连接。', None, 10053, None))

2008-04-30 15:30:00 - WARNING - D:\JoinQuant-Desktop-Py3\Python\lib\site-packages\jqboson\indicator_init_.py:75: RuntimeWarning: invalid value encountered in double_scalars
benchmark_returns=bm_daily_returns)

全部回复

0/140

量化课程

    移动端课程